Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1527)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1528)
@@ -47,6 +47,7 @@
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.jface.viewers.ViewerSorter;
 import org.eclipse.swt.SWT;
+import org.eclipse.swt.SWTException;
 import org.eclipse.swt.events.KeyAdapter;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.SelectionEvent;
@@ -103,7 +104,7 @@
 public class CorporaView extends ViewPart {
 
 	/** The ID. */
-	static public String ID = "org.txm.rcp.views.corpora.CorporaView"; //$NON-NLS-1$
+	static public String ID = CorporaView.class.getName();
 
 	/** The tree viewer. */
 	public TreeViewer treeViewer;
@@ -303,28 +304,28 @@
 
 				TreeSelection selection = (TreeSelection) treeViewer.getSelection();
 				Object selectedItem = selection.getFirstElement();
-				
+
 				// FIXME : MD tests
-//				if (selectedItem instanceof TXMResult) {
-//					TXMResult r = ((TXMResult)selectedItem);
-//					if (r.compute()) {
-//						String mess = r.getSimpleDetails();
-//						if (mess == null) mess = selectedItem.toString();
-//						StatusLine.setMessage(mess);
-//					}
-//				}
-				
+				//				if (selectedItem instanceof TXMResult) {
+				//					TXMResult r = ((TXMResult)selectedItem);
+				//					if (r.compute()) {
+				//						String mess = r.getSimpleDetails();
+				//						if (mess == null) mess = selectedItem.toString();
+				//						StatusLine.setMessage(mess);
+				//					}
+				//				}
+
 				// FIXME: SJ tests, define here what to display
 				if (selectedItem instanceof TXMResult) {
-//					TXMResult result = ((TXMResult)selectedItem);
-//					String mess = result.getSimpleDetails();
-//					if (mess == null) {
-//						mess = result.getCurrentName();
-//					}
-//					StatusLine.setMessage(mess);
+					//					TXMResult result = ((TXMResult)selectedItem);
+					//					String mess = result.getSimpleDetails();
+					//					if (mess == null) {
+					//						mess = result.getCurrentName();
+					//					}
+					//					StatusLine.setMessage(mess);
 					StatusLine.setMessage(((TXMResult)selectedItem).getName());
 				}
-				
+
 			}
 
 			@Override
@@ -417,7 +418,7 @@
 		final int IMAGE_MARGIN = 2;
 		final Image icon = IImageKeys.getImage("icons/decorators/bullet_green.png");
 		final Image icon_lock = IImageKeys.getImage("icons/decorators/lock.png");
-		
+
 		// FIXME: test to show icon for results that are user persistable
 		//		    final Image icon = AbstractUIPlugin.imageDescriptorFromPlugin("org.eclipse.gef","platform:/plugin/org.eclipse.gef/org/eclipse/gef/internal/icons/pinned.gif").createImage();
 		//		    final Image icon = AbstractUIPlugin.imageDescriptorFromPlugin("org.eclipse.team.svn.help","platform:/plugin/org.eclipse.team.svn.help/images/lock.gif").createImage();
@@ -479,10 +480,12 @@
 	public static Object getFirstSelectedObject() {
 		CorporaView corporaView = getInstance();
 		if (corporaView != null) {
-			ISelection selection = corporaView.treeViewer.getSelection();
-			if (selection != null & selection instanceof IStructuredSelection) {
-				return ((IStructuredSelection)selection).getFirstElement();
-			}
+			try {
+				ISelection selection = corporaView.treeViewer.getSelection();
+				if (selection != null & selection instanceof IStructuredSelection) {
+					return ((IStructuredSelection)selection).getFirstElement();
+				}
+			} catch (SWTException e) {}
 		}
 		return null;
 	}
@@ -494,10 +497,12 @@
 	public static List<?> getSelectedObjects() {
 		CorporaView corporaView = getInstance();
 		if (corporaView != null) {
-			ISelection selection = corporaView.treeViewer.getSelection();
-			if (selection != null & selection instanceof IStructuredSelection) {
-				return ((IStructuredSelection)selection).toList();
-			}
+			try {
+				ISelection selection = corporaView.treeViewer.getSelection();
+				if (selection != null & selection instanceof IStructuredSelection) {
+					return ((IStructuredSelection)selection).toList();
+				}
+			} catch (SWTException e) {}
 		}
 		return null;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 1527)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 1528)
@@ -253,7 +253,6 @@
 					
 					System.out.println(NLS.bind(TXMUIMessages.executingGroovyScript, scriptfile.getName()));
 					long time = System.currentTimeMillis();
-					System.out.println(relativepath);
 					gse.run(relativepath, binding);
 					
 					System.out.println(TXMUIMessages.bind(TXMUIMessages.doneP0Ms, System.currentTimeMillis()-time));
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1527)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 1528)
@@ -198,7 +198,7 @@
 _default_2=Default
 errorDuringSortColonP0=** Error during sorting\: {0}.
 downloading=Downloading…
-executingGroovyScript=Executing Groovy script…
+executingGroovyScript=Executing the {0} Groovy script…
 selectAProperty=Select a property
 coocMatrixParameters=Word-word matrix parameters
 userInterfaceLanguage=Language of the interface
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1527)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 1528)
@@ -198,7 +198,7 @@
 theInputP0CannotBeDisplayed=** Erreur interne \: Impossible d''afficher la donnée {0}.
 _default_2=Défaut
 errorDuringSortColonP0=** Erreur pendant le tri \: {0}.
-executingGroovyScript=Exécution du script Groovy…
+executingGroovyScript=Exécution du script Groovy {0}…
 selectAProperty=Sélectionner une propriété
 downloading=Téléchargement en cours...
 coocMatrixParameters=Paramètres de la matrice mot-mot
Index: tmp/org.txm.rcp/plugin.xml
===================================================================
--- tmp/org.txm.rcp/plugin.xml	(revision 1527)
+++ tmp/org.txm.rcp/plugin.xml	(revision 1528)
@@ -2001,6 +2001,11 @@
                         </and>
                      </visibleWhen>
                   </command>
+               </menu>
+               <menu
+                     icon="icons/functions/import.png"
+                     id="org.txm.rcp.corporaview.import"
+                     label="%menu.label.14">
                   <command
                         commandId="org.txm.rcp.handlers.export.ImportResult"
                         icon="icons/functions/import_data.png"
@@ -3205,12 +3210,6 @@
             schemeId="org.txm.rcp.scheme"
             sequence="M1+S">
       </key>
-            <key
-            commandId="org.txm.rcp.handlers.results.SetTXMResultLockState"
-            contextId="org.txm.rcp.views.corpora.CorporaView"
-            schemeId="org.txm.rcp.scheme"
-            sequence="M1+L">
-      </key>
    </extension>
 <!--   <extension
          point="org.eclipse.e4.ui.css.swt.theme">
Index: tmp/org.txm.rcp/plugin_customization.ini
===================================================================
--- tmp/org.txm.rcp/plugin_customization.ini	(revision 1527)
+++ tmp/org.txm.rcp/plugin_customization.ini	(revision 1528)
@@ -5,3 +5,4 @@
 
 org.eclipse.equinox.p2.examples.rcp.cloud/groupByCategory=false
 org.eclipse.equinox.p2.ui.sdk.scheduler/enabled=false
+org.eclipse.ui/KEY_CONFIGURATION_ID=org.txm.rcp.scheme
\ No newline at end of file
Index: tmp/org.txm.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 1527)
+++ tmp/org.txm.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 1528)
@@ -256,9 +256,9 @@
 command.name.36         = ComputeLexicalTable
 command.name.37         = Supprimer
 command.name.38         = Resultat...
-command.name.39         = Importer un resultat...
+command.name.39         = Un resultat...
 command.name.4          = Sp\u00E9cificit\u00E9s
-command.name.40         = Importer les param\u00E8tres de resultat...
+command.name.40         = Param\u00E8tres de resultat...
 command.name.41         = CoocToConc
 command.name.42         = VocToProgress
 command.name.43         = VocToLexicalTable
@@ -461,6 +461,8 @@
 menu.label.10  = Groovy
 menu.label.11  = Charger
 menu.label.12  = Recettes
+menu.label.13  = Exporter
+menu.label.14  = Importer
 menu.label.2   = Aide
 menu.label.3   = \u00C9dition
 menu.label.4   = Extensions
Index: tmp/org.txm.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- tmp/org.txm.rcp/OSGI-INF/l10n/bundle.properties	(revision 1527)
+++ tmp/org.txm.rcp/OSGI-INF/l10n/bundle.properties	(revision 1528)
@@ -254,9 +254,9 @@
 command.name.36         = ComputeLexicalTable
 command.name.37         = Delete
 command.name.38         = Result...
-command.name.39         = Import result...
+command.name.39         = result...
 command.name.4          = Rename TXMResult
-command.name.40         = Import result parameters...
+command.name.40         = result parameters...
 command.name.41         = CoocToConc
 command.name.42         = IndexToProgress
 command.name.43         = IndexToLexicalTable
@@ -417,8 +417,8 @@
 editor.name    = SVG Graph
 editor.name.0  = Index
 editor.name.1  = Multitab
-editor.name.10 = Ca Factorial Map
-editor.name.13 = Ca
+editor.name.10 = CA Factorial Map
+editor.name.13 = CA
 editor.name.15 = Import Parameters
 editor.name.16 = Test editor
 editor.name.17 = Browse
@@ -452,7 +452,8 @@
 menu.label.10  = Groovy
 menu.label.11  = Load
 menu.label.12  = Recettes
-menu.label.13  = Exporter
+menu.label.13  = Export
+menu.label.14  = Import
 menu.label.2   = Help
 menu.label.3   = Edit
 menu.label.4   = Extensions
Index: tmp/org.txm.rcp/icons/functions/import.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.rcp/icons/functions/import.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

